<?php
namespace SabaiApps\Directories\Component\Payment\NotificationEvent;

class SubscriptionCancelledNotificationEvent extends AbstractSubscriptionNotificationEvent {

	protected function _notificationEntityEventInfo() {
		return array(
			'label'            => _x( 'Subscription cancelled', 'notification event', 'directories-pro' ) . ' - %s',
			'default_settings' => array(),
			'actions'          => array(
				'payment_subscription_cancelled',
			),
			'weight'           => 25,
		);
	}

	protected function _getDefaultNotificationLabel() {
		return __( 'Your subscription has been cancelled', 'directories-pro' );
	}

	protected function _getDefaultNotificationBody() {
		return array(
			sprintf(
				__( 'Your subscription for the following %1$s has been cancelled.', 'directories-pro' ),
				strtolower( $singular = $this->_getContentTypeLabel() ),
				$singular
			),
			'%title%' . PHP_EOL . '%permalink_url%',
		);
	}
}
